Levain LabsLevain Labs
ApiApps

Get Segment Source

Get the ingest URL for a connected Segment source.

Get the ingest URL for a connected Segment source.

The signing secret is never returned here; rotate it if it has been lost.

GET
/api/v1/apps/segment/{integration_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

integration_id*Integration Id
Formatuuid

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://api.levainlabs.com/api/v1/apps/segment/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "integration_id": "string",
  "ingest_url": "string",
  "signing_secret": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}